<!DOCTYPE html>
<html lang="en">
<head>
  {% block head %}
  <title>{% if header.title %}{{ header.title|e('html') }} | {% endif %}{{ site.title|e('html') }}</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/png" sizes="196x196" href="https://mozilla.github.io/curriculum-final/template-assets/images/favicon.png">
  <script src="https://code.jquery.com/jquery-2.1.4.min.js" type="text/javascript" charset="utf-8"></script>
  {% endblock head%}

  {% block stylesheets %}
  {% do assets.addCss('theme://css/style.css', 98) %}
  {% endblock %}

  {% block blockCss deferred %}
  {{ assets.css()|raw }}
  {% endblock %}
</head>
<body>

  <div class="wrapper" mode="overview">

    <aside>
      <div class="image" style="
      padding: 1em;
      ">
      {% if page.header.image %}
      {{page.media[page.header.image]}}
      {% endif %}
      {% if not page.header.image %}
      <img src="{{site.metadata.logo}}" alt="Open-ae logo">
      {% endif %}
    </div>

    <ul class="agenda-navigation">
      {% if page.children.count %}
      <li><a href="#info">Presentation</a></li>
      {% for p in page.children %}
      <li><a href="#step-{{loop.index}}">{{p.title}}</a></li>
      {% endfor %}{% endif %}
    </ul>
  </aside>

  <article class="main">

    <h1 class="activity-title"><a href="">{{page.title}}</a></h1>

    <section class="overview">

      {% if page.header.length %}<p class="time">{{page.header.length}}</p>{% endif %}

      {% if page.header.summary %}<p class="summary">
        {{page.header.summary}}
      </p>{% endif %}

      {% if page.header.skills %}{% for key, mainSkill in page.header.skills %}
      <h4><a href="{{mainSkill.url}}" target="_blank">{{key}}</a></h4>
      <ul class="skills-list">
        {% for subkey, skill in mainSkill.subs %}
        <li>
          <h5>{{subkey}}</h5>
          {% for subkey, url in skill %}
          <a href="{{url}}">{{subkey}}</a>
          {% endfor %}
        </li>
        {% endfor %}
      </ul>
      {% endfor %}{% endif %}

      {% if page.header.objectives %}<h4>Learning Objectives</h4>
      <ul class="fancy">
        {% for o in page.header.objectives %}
        <li>{{o}}</li>
        {% endfor %}
      </ul>{% endif %}

      {% if page.header.audiences %}<h4>Audience</h4>
      <ul>
        {% for a in page.header.audiences %}
        <li>{{a}}</li>
        {% endfor %}
      </ul>{% endif %}

      {% if page.header.materials %}<h4>Materials</h4>
      <ul>
        {% for m in page.header.materials %}
        <li>{{m}}</li>
        {% endfor %}
      </ul>{% endif %}

      {{page.content}}

    </section> <!-- End of overiview -->

    <!-- Beginning of activity steps -->
    <ul class="agenda">
      {% for p in page.children %}
      <li>

        <h1>{{ p.title }}</h1>


        {% if p.header.length %}<p class="time">{{p.header.length}}</p>{% endif %}

        {% if p.header.summary %}<p class="summary">
          {{p.header.summary}}
        </p>{% endif %}

        {% if p.header.skills %}{% for key, mainSkill in p.header.skills %}
        <h4><a href="{{mainSkill.url}}" target="_blank">{{key}}</a></h4>
        <ul class="skills-list">
          {% for subkey, skill in mainSkill.subs %}
          <li>
            <h5>{{subkey}}</h5>
            {% for subkey, url in skill %}
            <a href="{{url}}">{{subkey}}</a>
            {% endfor %}
          </li>
          {% endfor %}
        </ul>
        {% endfor %}{% endif %}

        {% if p.header.objectives %}<h4>Learning Objectives</h4>
        <ul class="fancy">
          {% for o in p.header.objectives %}
          <li>{{o}}</li>
          {% endfor %}
        </ul>{% endif %}

        {% if p.header.audiences %}<h4>Audience</h4>
        <ul>
          {% for a in p.header.audiences %}
          <li>{{a}}</li>
          {% endfor %}
        </ul>{% endif %}

        {% if p.header.materials %}<h4>Materials</h4>
        <ul>
          {% for m in p.header.materials %}
          <li>{{m}}</li>
          {% endfor %}
        </ul>{% endif %}

        {{p.content}}
        
      </li>
      {% endfor %}
    </ul><!-- End of all steps -->

  </article>
</div>
<script>
  var activities = [
  {% for p in page.parent.children %}
  {
    title : "{{ p.title }}",
    url: "{{ p.url }}",
    slug: "{{ p.slug }}",
    langId: "{{ p.header.lang_id }}",
    langTitle: "{{ p.header.lang_title }}",
    langMenuTitle: "{{ p.header.lang_menu_title }}",
  },
  {% endfor %}
  ];
  var title = "{{site.title}}";
  var currentSlug = "{{ page.slug }}";
</script>

{% block javascripts %}
{% do assets.addJs('theme://js/template.js', 100) %}
{% endblock %}
{% block blockJs deferred %}
{{ assets.js()|raw }}
{% endblock %}

</body>
</html>
